Subject: bug#8159: file-name-sans-version fails for some git files

From: Reuben Thomas <[email-masked]>
Date: Thu, 3 Mar 2011 13:39:32 +0000

On 3 March 2011 13:36, Eli Zaretskii <[email-masked]> wrote:
>
> If you are okay with having foo.js~ as a simple backup file name of
> foo.js.~HEAD~1~ and foo.js.~3~ as its numbered backup, then I see no
> issues here.  I just wonder if that would surprise git users (I don't
> use it too much, so I don't know).

Why would you have a backup of such a file? It's a file visited with
vc-revision-other-window, which is by default read-only.

The question arises equally for other VC systems, it's just that not
all of them allow version numbers that contain tildes.

-- 
http://rrt.sc3d.org